using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Threading;
using System.Windows.Forms;

namespace StudioClient
{
    internal static class Program
    {
        static readonly string mutexName = "UVC_StudioInstaller";

        [STAThread]
        static void Main()
        {
            using (var mutex = new Mutex(true, mutexName, out bool isNewInstance))
            {
                if (!isNewInstance)
                {
                    // 이미 실행 중인 경우
                    MessageBox.Show("이미 프로그램이 실행 중입니다.", "중복 실행 방지", MessageBoxButtons.OK, MessageBoxIcon.Information);
                    return;
                }

                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);
                Application.Run(new Form1());
            }
        }
    }
}
